/**
 * Payments
 */
export declare namespace Payments {
  export type actionType = "bid" | "changebid" | "buy";
  export interface nft {
    nft_owner_address?: string;
    nft_contract_address: string;
    nft_token_id: string;
    nft_name: string;
    crypto_value_in_smallest_unit: string;
  }
  interface PaymentsBody {
    total_value_in_smallest_unit: string;
    user_wallet_address: string;
    nft_action_type: actionType;
    nfts_list: nft[];
  }
  export namespace init {
    interface Body extends PaymentsBody {}
    type Params = {
      query: string;
      [key: string]: any;
    };
    interface Result {
      success: boolean;
      payment_id: String;
      payment_url: String;
      payment_status_url: String;
    }
  }
  export namespace status {
    export type PAYMENT_ID = String;
    type statusType =
      | "initialized"
      | "started"
      | "succeeded"
      | "payment_failed"
      | "settlement_failed"
      | "failed";
    interface crypto_amount {
      base_amount: number;
      fees_amount: number;
    }
    interface paymentResponse {
      id: string;
      user_wallet_address: string;
      fiat_amount: string | null;
      fiat_currency: string;
      crypto_amount: crypto_amount | null;
      crypto_currency: string;
      nft_action_type: string;
      nft_action_blockchain_tx_id: string | null;
    }
    export interface Result {
      status: statusType;
      payment: paymentResponse;
    }
    export {};
  }
  export {};
}
